OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESAppli

# IGESAppli_Node Class Reference

defines Node, Type <134> Form <0>
in package IGESAppli
Geometric point used in the definition of a finite element.

`#include <IGESAppli_Node.hxx>`

Inheritance diagram for IGESAppli_Node:

[legend]

## Public Member Functions
Standard_EXPORT | IGESAppli_Node ()
Standard_EXPORT void | Init (const gp_XYZ &aCoord, const Handle(IGESGeom_TransformationMatrix)&aCoordSystem)
| This method is used to set the fields of the class Node - aCoord : Nodal Coordinates - aCoordSystem : the Nodal Displacement Coordinate System Entity (default 0 is Global Cartesian Coordinate system) .
Standard_EXPORT gp_Pnt | Coord () const
| returns the nodal coordinates
Standard_EXPORT Handle_IGESData_TransfEntity | System () const
| returns TransfEntity if a Nodal Displacement Coordinate System Entity is defined else (for Global Cartesien) returns Null Handle
Standard_EXPORT Standard_Integer | SystemType () const
| Computes & returns the Type of Coordinate System : 0 GlobalCartesian, 1 Cartesian, 2 Cylindrical, 3 Spherical .
Standard_EXPORT gp_Pnt | TransformedNodalCoord () const
| returns the Nodal coordinates after transformation
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
gp_XYZ | theCoord
Handle_IGESGeom_TransformationMatrix | theSystem

## Constructor & Destructor Documentation

Standard_EXPORT IGESAppli_Node::IGESAppli_Node | ( |  | ) |

## Member Function Documentation

Standard_EXPORT gp_Pnt IGESAppli_Node::Coord | ( |  | ) | const

Standard_EXPORT const IGESAppli_Node::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESAppli_Node::Init | ( | const gp_XYZ & | aCoord,
|  | const Handle(IGESGeom_TransformationMatrix)& | aCoordSystem
| ) |

Standard_EXPORT Handle_IGESData_TransfEntity IGESAppli_Node::System | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESAppli_Node::SystemType | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESAppli_Node::TransformedNodalCoord | ( |  | ) | const

## Field Documentation

gp_XYZ IGESAppli_Node::theCoord`[private]`

Handle_IGESGeom_TransformationMatrix IGESAppli_Node::theSystem`[private]`

The documentation for this class was generated from the following file:

- IGESAppli_Node.hxx